[Install]
model = Panasonic DP-190
Network = 1
USB = 1
Parallel = 0

[PrinterVersion]
2K=
AMD64=

[Main]
ModelName=DP-190 PCL6
SeriesName=Panasonic WORKiO DP-190 Series
NumDrivers=1
Driver1=PrinterDriver1
HarwareID=USBPRINT\PanasonicDP-190B29B
;OEMURL=
USBID=VID_04DA&PID_2F04
USBPRINT=PanasonicDP-190
LPTPRINT=PanasonicDP-190B29B

;***********************************************************************
;DP-190 PCL6
;***********************************************************************
[PrinterDriver1]
PrinterDriverName=Panasonic DP-190 Ver. 2 PS
;LanguageMonitorName=
;PortMonitorName=RPT Network Printer Port
DefaultPrinter=no
SupportOS=2000,AMD64
DefaultSharedName=DP190PS

;***********************************************************************
;DP-190 PCL6 2K
;***********************************************************************
[PrinterDriver1.2000.Install]
DataType=RAW
Driver=PSCRIPT5.DLL
ConfigurationFile=PS5UI.DLL
DataFile=PA190V2.PPD
DependentFiles=PA190V2.PPD,PS5UI.DLL,PSCRIPT.HLP,PSCRIPT.NTF,PSCRIPT5.DLL,PS_SCHM.GDL
HelpFile=PSCRIPT.HLP
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=Pa_190.INF
BiDirectional=Always

[PrinterDriver1.2000.Uninstall]
DeleteFile001=PA190V2.PPD,WINPRNDRV,NOT_SHARED
DeleteFile002=Pa_190.INF,WININF_OTHER,NOT_SHARED
DeleteFile003=PS5UI.DLL,WINPRNDRV,NOT_SHARED
DeleteFile004=PSCRIPT.HLP,WINPRNDRV,NOT_SHARED
DeleteFile005=PSCRIPT.NTF,WINPRNDRV,NOT_SHARED
DeleteFile006=PSCRIPT5.DLL,WINPRNDRV,NOT_SHARED
DeleteFile007=PS_SCHM.GDL,WINPRNDRV,NOT_SHARED
DeleteFile008=PA190V2.BPD,WINPRNDRV,NOT_SHARED
DeleteFile009=PA190V2.PPD,WINPRNDRV3,NOT_SHARED
DeleteFile010=Pa_190.INF,WININF_OTHER,NOT_SHARED
DeleteFile011=PS5UI.DLL,WINPRNDRV3,SHARED
DeleteFile012=PSCRIPT.HLP,WINPRNDRV3,SHARED
DeleteFile013=PSCRIPT.NTF,WINPRNDRV3,SHARED
DeleteFile014=PSCRIPT5.DLL,WINPRNDRV3,SHARED
DeleteFile015=PS_SCHM.GDL,WINPRNDRV3,SHARED
DeleteFile016=PA190V2.BPD,WINPRNDRV3,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-190 Ver. 2 PS

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicDP-190B29B,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_2F04,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,PanasonicDP-190,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-190 Ver. 2 PS,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-190 Ver. 2 PS,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-190 Ver. 2 PS,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic DP-190 Ver. 2 PS


;***********************************************************************
;DP-190 PCL6 AMD64
;***********************************************************************
[PrinterDriver1.AMD64.Install]
DataType=RAW
Driver=PSCRIPT5.DLL
ConfigurationFile=PS5UI.DLL
DataFile=PA190V2.PPD
DependentFiles=PA190V2.PPD,PS5UI.DLL,PSCRIPT.HLP,PSCRIPT.NTF,PSCRIPT5.DLL,PS_SCHM.GDL
HelpFile=PSCRIPT.HLP
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=Pa_190.INF
BiDirectional=Always

[PrinterDriver1.AMD64.Uninstall]
DeleteFile001=PA190V2.PPD,WINPRNDRVX64,NOT_SHARED
DeleteFile002=Pa_190.INF,WININF_OTHER,NOT_SHARED
DeleteFile003=PS5UI.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile004=PSCRIPT.HLP,WINPRNDRVX64,NOT_SHARED
DeleteFile005=PSCRIPT.NTF,WINPRNDRVX64,NOT_SHARED
DeleteFile006=PSCRIPT5.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile007=PS_SCHM.GDL,WINPRNDRVX64,NOT_SHARED
DeleteFile008=PA190V2.BPD,WINPRNDRVX64,NOT_SHARED
DeleteFile009=PA190V2.PPD,WINPRNDRVX643,NOT_SHARED
DeleteFile010=Pa_190.INF,WININF_OTHER,NOT_SHARED
DeleteFile011=PS5UI.DLL,WINPRNDRVX643,SHARED
DeleteFile012=PSCRIPT.HLP,WINPRNDRVX643,SHARED
DeleteFile013=PSCRIPT.NTF,WINPRNDRVX643,SHARED
DeleteFile014=PSCRIPT5.DLL,WINPRNDRVX643,SHARED
DeleteFile015=PS_SCHM.GDL,WINPRNDRVX643,SHARED
DeleteFile016=PA190V2.BPD,WINPRNDRVX643,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-190 Ver. 2 PS

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicDP-190B29B,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_2F04,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,PanasonicDP-190,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-190 Ver. 2 PS,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-190 Ver. 2 PS,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-190 Ver. 2 PS,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic DP-190 Ver. 2 PS
